Index: waf_generator.py
===================================================================
--- waf_generator.py	(revision eb3b5db04152489a9475757bcf63a43dadd3b910)
+++ waf_generator.py	(revision cf9836e322f3207bb8c9920699cfe08d54bd5c93)
@@ -573,5 +573,5 @@
             files = ['testsuite/%s/%s.c' % (test_name, f) for f in  data['tests'][test_name]['all']['files']]
             _source_list('    test_%s' % (test_name), sorted(files))
-            self.add('    bld.program(target = "%s",' % (test_name))
+            self.add('    bld.program(target = "%s.exe",' % (test_name))
             self.add('                features = "cprogram",')
             self.add('                cflags = cflags,')
Index: wscript
===================================================================
--- wscript	(revision eb3b5db04152489a9475757bcf63a43dadd3b910)
+++ wscript	(revision cf9836e322f3207bb8c9920699cfe08d54bd5c93)
@@ -1133,5 +1133,5 @@
     # Tests
     test_init01 = ['testsuite/init01/test_main.c']
-    bld.program(target = "init01",
+    bld.program(target = "init01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1143,5 +1143,5 @@
 
     test_syscalls01 = ['testsuite/syscalls01/test_main.c']
-    bld.program(target = "syscalls01",
+    bld.program(target = "syscalls01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1153,5 +1153,5 @@
 
     test_thread01 = ['testsuite/thread01/test_main.c']
-    bld.program(target = "thread01",
+    bld.program(target = "thread01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1163,5 +1163,5 @@
 
     test_loopback01 = ['testsuite/loopback01/test_main.c']
-    bld.program(target = "loopback01",
+    bld.program(target = "loopback01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1173,5 +1173,5 @@
 
     test_foobarclient = ['testsuite/foobarclient/test_main.c']
-    bld.program(target = "foobarclient",
+    bld.program(target = "foobarclient.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1183,5 +1183,5 @@
 
     test_lagg01 = ['testsuite/lagg01/test_main.c']
-    bld.program(target = "lagg01",
+    bld.program(target = "lagg01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1194,5 +1194,5 @@
     test_timeout01 = ['testsuite/timeout01/init.c',
                       'testsuite/timeout01/timeout_test.c']
-    bld.program(target = "timeout01",
+    bld.program(target = "timeout01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1204,5 +1204,5 @@
 
     test_dhcpcd02 = ['testsuite/dhcpcd02/test_main.c']
-    bld.program(target = "dhcpcd02",
+    bld.program(target = "dhcpcd02.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1214,5 +1214,5 @@
 
     test_ftpd01 = ['testsuite/ftpd01/test_main.c']
-    bld.program(target = "ftpd01",
+    bld.program(target = "ftpd01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1224,5 +1224,5 @@
 
     test_vlan01 = ['testsuite/vlan01/test_main.c']
-    bld.program(target = "vlan01",
+    bld.program(target = "vlan01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1234,5 +1234,5 @@
 
     test_foobarserver = ['testsuite/foobarserver/test_main.c']
-    bld.program(target = "foobarserver",
+    bld.program(target = "foobarserver.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1244,5 +1244,5 @@
 
     test_selectpollkqueue01 = ['testsuite/selectpollkqueue01/test_main.c']
-    bld.program(target = "selectpollkqueue01",
+    bld.program(target = "selectpollkqueue01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1254,5 +1254,5 @@
 
     test_zerocopy01 = ['testsuite/zerocopy01/test_main.c']
-    bld.program(target = "zerocopy01",
+    bld.program(target = "zerocopy01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1264,5 +1264,5 @@
 
     test_smp01 = ['testsuite/smp01/test_main.c']
-    bld.program(target = "smp01",
+    bld.program(target = "smp01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1274,5 +1274,5 @@
 
     test_media01 = ['testsuite/media01/test_main.c']
-    bld.program(target = "media01",
+    bld.program(target = "media01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1284,5 +1284,5 @@
 
     test_condvar01 = ['testsuite/condvar01/test_main.c']
-    bld.program(target = "condvar01",
+    bld.program(target = "condvar01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1294,5 +1294,5 @@
 
     test_telnetd01 = ['testsuite/telnetd01/test_main.c']
-    bld.program(target = "telnetd01",
+    bld.program(target = "telnetd01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1304,5 +1304,5 @@
 
     test_ppp01 = ['testsuite/ppp01/test_main.c']
-    bld.program(target = "ppp01",
+    bld.program(target = "ppp01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1315,5 +1315,5 @@
     test_swi01 = ['testsuite/swi01/init.c',
                   'testsuite/swi01/swi_test.c']
-    bld.program(target = "swi01",
+    bld.program(target = "swi01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1326,5 +1326,5 @@
     test_netshell01 = ['testsuite/netshell01/shellconfig.c',
                        'testsuite/netshell01/test_main.c']
-    bld.program(target = "netshell01",
+    bld.program(target = "netshell01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1336,5 +1336,5 @@
 
     test_rwlock01 = ['testsuite/rwlock01/test_main.c']
-    bld.program(target = "rwlock01",
+    bld.program(target = "rwlock01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1346,5 +1346,5 @@
 
     test_mutex01 = ['testsuite/mutex01/test_main.c']
-    bld.program(target = "mutex01",
+    bld.program(target = "mutex01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1356,5 +1356,5 @@
 
     test_dhcpcd01 = ['testsuite/dhcpcd01/test_main.c']
-    bld.program(target = "dhcpcd01",
+    bld.program(target = "dhcpcd01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1366,5 +1366,5 @@
 
     test_unix01 = ['testsuite/unix01/test_main.c']
-    bld.program(target = "unix01",
+    bld.program(target = "unix01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1376,5 +1376,5 @@
 
     test_commands01 = ['testsuite/commands01/test_main.c']
-    bld.program(target = "commands01",
+    bld.program(target = "commands01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1386,5 +1386,5 @@
 
     test_ping01 = ['testsuite/ping01/test_main.c']
-    bld.program(target = "ping01",
+    bld.program(target = "ping01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1397,5 +1397,5 @@
     test_usb01 = ['testsuite/usb01/init.c',
                   'testsuite/usb01/test-file-system.c']
-    bld.program(target = "usb01",
+    bld.program(target = "usb01.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1407,5 +1407,5 @@
 
     test_arphole = ['testsuite/arphole/test_main.c']
-    bld.program(target = "arphole",
+    bld.program(target = "arphole.exe",
                 features = "cprogram",
                 cflags = cflags,
@@ -1417,5 +1417,5 @@
 
     test_sleep01 = ['testsuite/sleep01/test_main.c']
-    bld.program(target = "sleep01",
+    bld.program(target = "sleep01.exe",
                 features = "cprogram",
                 cflags = cflags,
